Bug 24610 - Kernel panic on echo 1 > /dev/dsp
Summary: Kernel panic on echo 1 > /dev/dsp
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-22 17:07 UTC by David Balažic
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 10:26:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2001-01-22 17:07:52 UTC
This gives me a kernel panic :

root# /bin/sync  # just in case ... oops happens without this too
root# echo 1 >/dev/dsp
< a lot of similar lines , like [<xxxxx>] [<xxxxx>] , snipped >
[<c8890e88>] [<c8890f55>] [<c010b84a>] [<c010b9c8>] [<c010a6b0>]
Aiee,killing interrupt handler
Kernel panic: Attempted to kill the idle task!
In interrupt handler - not syncing
Code: 89 42 04 89 10 b8 01 00 00 00 c7 41 04 00 00 00 00 c7 01 00

When I first encountered this, a lot of random characters was
printed on the screen at high speed, after some ( more than 10 )
seconds it was still scrolling by and I reset the machine.

This happens also if I prelload the sound module.

My /etc/modules.conf :

alias parport_lowlevel parport_pc
alias sound-slot-0 via82cxxx_audio
alias sound-slot-1 es1370
alias usb-controller usb-uhci
options es1370 lineout=1

Hardware :
MS K7T Pro2 motherboard , VIA KT133 chipset , 82c686a south bridge
Creative SoundBlaster 64 PCI
CPU Duron 700 MHz
MSI Starforce 8818 gfx card ( AGP 32 MB SDRAM, GeForce2MX )

Comment 1 Glen Foster 2001-01-22 17:41:08 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Arjan van de Ven 2001-01-22 20:44:42 UTC
what kernel version is this ?

Comment 3 David Balažic 2001-01-23 12:35:54 UTC
The one from Florence beta2 : kernel-2.4.0-0.43.12
I don't know which architecture ( i386, i586 or i686 ).
But I did a custom install on a Duron 700MHz system,
so it's the one which is normally choosed by anaconda
on such systems.

Comment 4 Arjan van de Ven 2001-02-05 16:27:44 UTC
Could you try with the most recent one? A lot has been changed / fixed since
then.

Comment 5 David Balažic 2001-02-12 10:32:16 UTC
Same in Fisher.
This time tested without the SB64PCI.


Comment 6 David Balažic 2001-02-13 10:26:22 UTC
I installed kernel 2.4.2-pre3 ( from Linus )
and the oops does not happen.
There are some changes in the via audio driver
in 2.4.2-preX and also in patch-2.4.1 that probably
fixed the problem.

Comment 7 Michael K. Johnson 2001-02-14 00:19:39 UTC
Probably fixed in our -ac series as well.  I'm going to mark this
one fixed RAWHIDE; check later beta releases and if they don't fix
it for you please re-open.


Note You need to log in before you can comment on or make changes to this bug.